---
title: HTMLObjectElement.contentDocument
slug: Web/API/HTMLObjectElement/contentDocument
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - contentDocument
---
<div>{{APIRef("HTML DOM")}}</div>

<p class="summary">The <strong><code>contentDocument</code></strong> read-only property of the {{domxref("HTMLObjectElement")}} interface Returns a {{domxref("Document")}} representing the active document of the object element's nested browsing context, if any; otherwise null.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var document = HTMLObjectElement.contentDocument;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('Document')}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-object-contentwindow','contentDocument')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLObjectElement.contentDocument")}}</p>
